"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjava' }"

Array variableSubclass:#JavaLocalVariableTable
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Support'
!

!JavaLocalVariableTable class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!JavaLocalVariableTable methodsFor:'queries'!

nameForSlot:slot atPC:pc
    |numEntryForSlot entryForSlot|

    numEntryForSlot := 0.
    self do:[:entry |
        entry slot == slot ifTrue:[
            entry startPC <= pc ifTrue:[
                entry endPC >= pc ifTrue:[
                    ^ entry name
                ]
            ].
            numEntryForSlot := numEntryForSlot + 1.
            entryForSlot := entry.
        ]
    ].

    "/ not at this pc - but maybe the name is valid
    "/ for all of the methods lines ...

    numEntryForSlot == 1 ifTrue:[
        ^ entryForSlot name
    ].

    ^ nil

    "Created: / 2.7.1996 / 11:30:09 / cg"
    "Modified: / 8.1.1998 / 18:56:20 / cg"
! !

!JavaLocalVariableTable class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libjava/JavaLocalVariableTable.st,v 1.10 2011-11-24 11:32:40 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libjava/JavaLocalVariableTable.st,v 1.10 2011-11-24 11:32:40 cg Exp $'
!

version_SVN
    ^ 'Id: JavaLocalVariableTable.st,v 1.8 2011/08/18 18:42:48 vrany Exp '
! !
