"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjava' }"

JavaMethod variableSubclass:#JavaMethodWithException
	instanceVariableNames:'exceptionTable'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Classes'
!

!JavaMethodWithException class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!JavaMethodWithException class methodsFor:'initialization'!

initialize
    self flags:(self flags bitOr:Behavior flagJavaMethod).
! !

!JavaMethodWithException methodsFor:'accessing'!

exceptionTable
    "return exception table - collection of classRefs"
    ^ exceptionTable.

    "Created: / 05-11-1998 / 19:58:38 / cg"
    "Modified: / 04-02-2011 / 22:07:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 04-06-2011 / 17:20:17 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

getExceptionTable
 "return exception table - collection of classRefs"
    ^ exceptionTable

    "Created: / 04-02-2011 / 23:07:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 04-06-2011 / 17:20:29 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

javaExceptionTable 
    "return exception table - collection of resolved java classes"
    exceptionTable ifNil: [ ^ nil ].
    ^ exceptionTable collect: [:classRef | classRef resolve ].

    "Modified: / 04-02-2011 / 22:07:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Created: / 04-06-2011 / 17:16:50 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

setExceptionTable: anArray 
     "set exception table - expected arg: collection of classRefs"
    exceptionTable := anArray.

    "Created: / 05-11-1998 / 19:58:43 / cg"
    "Modified: / 04-06-2011 / 17:21:17 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaMethodWithException class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libjava/JavaMethodWithException.st,v 1.8 2011-11-24 11:14:17 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libjava/JavaMethodWithException.st,v 1.8 2011-11-24 11:14:17 cg Exp $'
!

version_SVN
    ^ 'Id: JavaMethodWithException.st,v 1.7 2011/08/18 18:42:48 vrany Exp '
! !

JavaMethodWithException initialize!
